﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharedSpace
{
    /// <summary>
    /// 用于方法控制
    /// </summary>
   public class MControl
   {
       /// <summary>
       /// 准备开始运行校准
       /// </summary>
       public static bool SetOut = false;
       /// <summary>
       /// 方法文件路径
       /// </summary>
       public static string path = "";
       /// <summary>
       /// 方法名称
       /// </summary>
       public static string Name = "";
       /// <summary>
       /// 仪器已经准备好，可以记录数据
       /// </summary>
       public static bool SetRun = false;
       /// <summary>
       /// 流程可结束，恢复默认方法
       /// </summary>
       public static bool IsEnd = false;
       /// <summary>
       /// 默认方法路径
       /// </summary>
       public static string defaultPath="";
       /// <summary>
       /// 默认方法名称
       /// </summary>
       public static string defaultName = "";
       /// <summary>
       /// 最小运行次数，系统设置，用于反馈是否满足要求
       /// </summary>
       public static int runcount = 7;
       /// <summary>
       /// 校准周期总长（S）
       /// </summary>
       public static int dateend;
       /// <summary>
       /// 周期时长（s）
       /// </summary>
       public static int zhouqi;
       /// <summary>
       /// 仪器反馈，正常下为空；
       /// </summary>
       public static string errstr = null;
       /// <summary>
       /// 强制终止
       /// </summary>
       public static bool forceEnd = false;
       /// <summary>
       /// 校准类型  1 常规  2 全程
       /// </summary>

       public static int MethodType = 0;
   }
}
